Subject: Re: virtual memory issue

From: Dan Malek <[email-masked]>
Date: Mon, 05 Nov 2001 14:11:51 -0500

Ofer Rashuk wrote:

> my question is who can i translate the virtual address to a physical one.

You can't from a user program, nor do you want to do this.  Using
mmap() to physical devices from a user application must be done
with great care, and is often used just for debugging purposes.  There
are resources used by the kernel and other applications that cause
race conditions you can't control.

If you need access to physical memory for any reason, you must
write a kernel device driver for this device so you can properly
manage the resources necessary to ensure proper system operation.

Thanks.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/